The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Обновление сборки DogLinux для проверки оборудования

15.02.2022 08:24

Подготовлено обновление специализированной сборки дистрибутива DogLinux (Debian LiveCD в стиле Puppy Linux), построенной на пакетной базе Debian 11 "Bullseye" и предназначенной для тестирования и обслуживания ПК и ноутбуков. В состав входят такие приложения, как GPUTest, Unigine Heaven, CPU-X, GSmartControl, GParted, Partimage, Partclone, TestDisk, ddrescue, WHDD, DMDE. Дистрибутив позволяет проверить работоспособность оборудования, нагрузить процессор и видеокарту, проверить SMART HDD и NVMe SSD. Размер Live-образа, загружаемого с USB-накопителей, 1.1 ГБ (torrent).

В новой версии:

  • Обновлены ядра Linux 5.10.92 и 5.16.7.
  • x86-64 ядра собраны с патчем intel-nvme-remap из EndlessOS для обеспечения доступности NVMe SSD на платформах Intel Core i3/i5/i7 8-10 поколений при включённой в BIOS настройке Intel RST Premium With Optane.
  • Для ядра 5.10 собран драйвер Realtek rtw88 с поддержкой WiFi 802.11ac модуля RTL8821CE ревизии RFE4
  • При загрузке с HWE ядром 5.16 по умолчанию используется новый NTFS3 драйвер от Paragon вместо NTFS-3G
  • Обновлён HWE стек: libdrm 2.4.109, Mesa 21.3.5 (собрана с LLVM 11 во избежание дублирования).
  • Обновлён проприетарный драйвер NVIDIA 470.103.01 с поддержкой RTX 2050, MX550, MX570.
  • Вместо Google Chrome добавлен Chromium 98.0.4758.80 (Official Build) из репозиториев Debian 11.
  • Добавлена программа для просмотра информации о системе CPU-X (сборка из git срез от 20220213).
  • Обновлена программа для копирования неисправных жёстких дисков HDDSuperClone 2.3.2
  • Обновлен UEFI PassMark memtest86 9.4
  • Обновлена DOS-программа HDAT2 7.4
  • Обновлены прошивки linux-firmware-20220209

Особенности сборки:

  • Поддерживается загрузка в UEFI и режиме Legacy/CSM. В том числе по сети через PXE с NFS. С устройств USB/SATA/NVMe, с файловых систем FAT32/exFAT/Ext2/3/4/NTFS. UEFI Secure Boot не поддерживается, его требуется отключить.
  • Для нового оборудования предусмотрен вариант загрузки HWE (live/hwe включает свежие ядро Linux, libdrm и Mesa).
  • Для совместимости со старым оборудованием в составе имеется live32 i686 версия с ядром без PAE.
  • Размер дистрибутива оптимизирован для использования в режиме copy2ram (дает возможность после загрузки извлечь USB-накопитель/сетевой кабель). При этом копируются в оперативную память только те squashfs-модули, которые используются.
  • Содержит три версии проприетарных драйверов NVIDIA - 470.x, 390.x и 340.x. Необходимый для загрузки модуль драйвера определяется автоматически.
  • При запуске GPUTest и Unigine Heaven автоматически определяются конфигурации ноутбуков с гибридными видеоподсистемами Intel+NVIDIA, Intel+AMD и AMD+NVIDIA и выставляются необходимые переменные окружения для запуска на дискретной видеокарте.
  • Системное окружение основано на Porteus Initrd, OverlayFS, SysVinit и Xfce 4.16. За монтирование накопителей отвечает pup-volume-monitor (без применения gvfs и udisks2). Вместо Pulseaudio напрямую используется ALSA. Применен свой скрипт для решения проблемы с приоритетом HDMI звуковых карт.
  • Можно устанавливать любое ПО из репозиториев Debian, а также создавать модули с необходимым дополнительным ПО. Поддерживается активация squashfs-модулей после загрузки системы.
  • Shell-cкрипты и настройки можно копировать в каталог live/rootcopy и они будут применены при загрузке без необходимости пересборки модулей.
  • Работа осуществляется с правами root. Интерфейс английский, файлы с переводами по умолчанию вырезаны для экономии места, но в консоли и X11 настроено отображение кириллицы и переключение раскладки по Ctrl+Shift. Пароль по умолчанию для пользователя root - dog, для пользователя puppy - dog. Доработанные файлы конфигурации и скрипты находятся в 05-customtools.squashfs.
  • Установка с помощью скрипта installdog на раздел FAT32, при этом используются загрузчики syslinux и systemd-boot (gummiboot). В качестве альтернативы предоставляются готовые файлы конфигурации для grub4dos и Ventoy. Возможна установка на жёсткий диск/SSD предпродажного ПК/ноутбука для демонстрации работоспособности. Раздел FAT32 затем легко удалить, скрипт не вносит изменений в UEFI variables (очередь загрузки в прошивке UEFI).


  1. Главная ссылка к новости (https://gumanzoy.blogspot.com/...)
  2. OpenNews: Обновление сборки DogLinux для проверки оборудования
  3. OpenNews: Вышел релиз Linux дистрибутива Yellow Dog Linux 6.2
  4. OpenNews: Выпуск дистрибутива Clonezilla Live 2.8.1
  5. OpenNews: Выпуск дистрибутива для создания межсетевых экранов OPNsense 22.1
  6. OpenNews: Выпуск минималистичного дистрибутива Tiny Core Linux 13
Автор новости: gumanzoy
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/56699-doglinux
Ключевые слова: doglinux
При перепечатке указание ссылки на opennet.ru обязательно


Обсуждение (53) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Жироватт (ok), 08:45, 15/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Чувак, ты конечно молодец, но в ISO запечь в качестве варианта мог?
    А если люди используют что-то мультибутовое типа вентоя?
    Не, я бы мог развернуть на отдельный vhdx, который монтируется в просторы большого театра, но смысл мне доделывать за тобой, если тогда уже проще перепилить всю сборку, воткнув ещё метров 700 аварийно-спасательных утилит, так или иначе имеющих место в сценариях восстановления?
     
     
  • 2.2, gumanzoy (?), 08:54, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +6 +/
    Этот вопрос всегда задают. Читайте внимательно. Предусмотрен готовый конфиг для ventoy/ventoy_grub.cfg

    > перепилить всю сборку, воткнув ещё метров 700 аварийно-спасательных утилит

    Всем нужно разное. Мне важно сохранять минимальный объем для copy2ram.
    Делайте свои модули это изначально предусмотрено. Модули при обновлении сборки почти всегда продолжат работать. Если только не содержат не модулей ядра.

     
     
  • 3.9, Жироватт (ok), 10:45, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Я прочитал. Хотелось воткнуть не как 1 образ на 1 флешку, а 1 флешка и много образов - исошников. Ну ладно.
     
     
  • 4.10, gumanzoy (?), 10:49, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Видимо прочитали не не поняли. Закидываете на флешку с Ventoy папки live, live32 (если нужна) и ventoy/ventoy_grub.cfg. А также все ваши исошники. При загрузке меню ventoy_grub.cfg отображается по клавише F6.
     
     
  • 5.38, borisdenis (ok), 14:03, 16/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Не все используют Ventoy, поэтому иметь просто загрузочный iso образ было бы намного удобнее
     
     
  • 6.39, gumanzoy (?), 16:26, 16/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    https://www.opennet.ru/openforum/vsluhforumID3/125122.html#37
     
  • 3.23, Аноним (23), 14:37, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    Кстати, а к чему эта копрофилия с чромами, которые даже на нормальном железе еле работают (нередко не работают вообще)? Палёная луна и/или ESR (для смузи-сайтегов), как бы, лучшее, нет?
     
     
  • 4.24, gumanzoy (?), 15:08, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Палёная луна и/или ESR (для смузи-сайтегов), как бы, лучшее, нет?

    Если Вам нужны то можете добавить их .squashfs модулями, а Chromium выпилить.

    Насчет производительности FF ESR по моему +/- то же самое что Chromium.
    Но FF ESR удобнее. Сам им пользуюсь.
    В контексте использования в сборке я обнаружил что FF ESR для воспроизведения h264 видео нужен ffmpeg. Без него только VP8 или VP9. А в сборке нет ffmpeg.
    А вот свежие сборки Chromium из Debian начиная с 97 перестали требовать ffmpeg и av либы. При этом все воспроизводят.

     
     
  • 5.25, Аноним (25), 15:21, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Палёная луна и/или ESR (для смузи-сайтегов), как бы, лучшее, нет?
    > Если Вам нужны то можете добавить их .squashfs модулями, а Chromium выпилить.

    А есть где-то инструкция для совсем хлебушков, пошаговая, как подобное делать с вашей сборкой?

     
     
  • 6.30, gumanzoy (?), 16:08, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > А есть где-то инструкция для совсем хлебушков, пошаговая, как подобное делать с вашей сборкой?

    Похоже что нет инструкции для DogLinux. Возможно придется написать.
    Ничего сложного. Принципы те же что в Livekit Slax и Puppy.
    В запущенной сборке в меню есть приложения "AptToSfs" и "Create module from changes"

    AptToSfs указываете пакет, он со всеми зависимостями поставится chroot. Затем появится диалог выбора сжатия. Выбирайте xz. Готовый модуль появится в /tmp. Скопируйте на флешку в live/modules или live/optional

    Create module from changes сохраняет все изменения сделанные в live системе с момента запуска. Все то же самое. Но перед выбором сжатия сначала перейдите в /tmp в папку с еще не запакованным модулем и удалите все лишнее в основном настройки которые создаются при запуске системы и приложений. Это обязательно, иначе при загрузке модуля может все поломаться.

     

  • 1.3, iPony129412 (?), 09:14, 15/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Почему в опенсорсе какое-то постоянное, как бэ это по русски сказать, влечение (?) к животным в названиях/логотипах?
     
     
  • 2.7, eRIC (ok), 09:49, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +3 +/
    > Почему в опенсорсе какое-то постоянное, как бэ это по русски сказать, влечение
    > (?) к животным в названиях/логотипах?

    чтобы избежать различных разногласий, лицензионных споров, споров и судов.
    не использовать какое-то имя, которое возможно окажется где-то зарегистрированной торговой маркой, защищенной лицензией и т.д.

     
  • 2.8, Аноним (8), 10:26, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • –5 +/
    нас ипут, а мы крепчаем
     
  • 2.11, kusb (?), 11:12, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Кстати да, но это кажется милым.
     
  • 2.12, Аноним (12), 11:38, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Все фурри!
     
  • 2.13, Аноним (13), 11:55, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +8 +/
    И это говорит Пони?..
     
  • 2.14, Аноним (14), 12:10, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    Я котиков люблю. Был бы не против названия CatLinux.
     
     
  • 3.19, Vasyan2 (ok), 13:08, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    Blackcat когда-то был
     
     
  • 4.35, john_erohin (?), 21:02, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Blackcat когда-то был

    помню. какой-то украинский болгенОС и кстати мой первый заход на линукс.
    поставил, посмотрел, плюнул и остался с FreeBSD.

    ps: а вот и оно: http://blackcatlinux.narod.ru/

     
  • 2.44, InuYasha (??), 10:36, 17/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    Да ты не поверишь - даже самая простая программа называется cat...
     

  • 1.4, Аноним (4), 09:26, 15/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • –4 +/
    Все эти паразитные сборки из каменного века без инета. Обычно достаточно любой любимой live сборки и интернета, с которого можно скачать, что угодно.
     
     
  • 2.5, gumanzoy (?), 09:35, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +6 +/
    > Обычно достаточно любой любимой live сборки и интернета, с которого можно скачать, что угодно.

    Покажите live дистрибутив где есть из коробки поддержка Legacy драйверов NVIDIA 390.x и 340.x при этом чтоб Optimus работал на ноутах ? Да 470 или другой актуальный драйвер есть в Manjaro. Но он весит 3Гб, в память не везде получится закэшировать. И с 390.x там Optimus не работает.

    И в данной сборке apt-get работает отлично.

     
     
  • 3.27, Аноним (27), 15:24, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Обычно достаточно любой любимой live сборки и интернета, с которого можно скачать, что угодно.
    > Покажите live дистрибутив где есть из коробки поддержка Legacy драйверов NVIDIA 390.x
    > и 340.x при этом чтоб Optimus работал на ноутах ? Да
    > 470 или другой актуальный драйвер есть в Manjaro. Но он весит
    > 3Гб, в память не везде получится закэшировать. И с 390.x там
    > Optimus не работает.
    > И в данной сборке apt-get работает отлично.

    Не обращайте внимания, это всё любители экстраполировать свой опыт на всех остальных или просто тупой траллинг.
    Пилите что вам хочется, просто если это делаете на публику, хорошо бы, чтобы это действительно работало и было бы адекватное взаимодействие с фидбэками и реквестами.

     
     
  • 4.29, gumanzoy (?), 15:50, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Не обращайте внимания, это всё любители экстраполировать свой опыт на всех остальных или просто тупой траллинг.

    Счел нужным аргументировано пояснить. Уже на этом примере с драйверами видно для чего сборка. Аналогов с данной фичей я не видел.

    > Пилите что вам хочется, просто если это делаете на публику, хорошо бы, чтобы это действительно работало и было бы адекватное взаимодействие с фидбэками и реквестами.

    Сборка пилится в первую очередь под свои нужды.
    Фидбека за год не особо много. Самое полезное это было про что что не запускались иксы с видеокартой [GeForce GT 430] [10de:0de1]. Поправил свою ошибку в коде который обрабатывает параметр запуска nvidia_detect в linuxrc.

    По другим проблемам с железяками исправлял только то что сам видел. Либо все действительно отлично работает либо пользователей мало.

    По поводу реквестов по добавлению софта:
    -Если что то нужно считаете нужным добавить для целей для которых сборка создана - напишите.
    -Но сначала можете попробовать сделать модуль самостоятельно.
    -Если я сочту что то что предложили не нужно или слишком толстое то не буду ни модуль делать ни тем более добавлять в сборку.

    Главное что техническая возможность делать и использовать модули есть.

     
     
  • 5.32, Аноним (32), 18:17, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +2 +/
    gt оверквотинг удален Я сам не пользуюсь вашим продуктом, мне просто без надоб... большой текст свёрнут, показать
     
     
  • 6.33, gumanzoy (?), 18:42, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Я сам не пользуюсь вашим продуктом, мне просто без надобности было как-то.
    > Я просто написал, что порой не стоит обращать внимание на всяких пассажиров, которые пишут не по существу.

    Спасибо за "заботу" но я отвечал не лично Вам и не тому анониму которому все нинужно. А тем у кого возникнут похожие вопросы (поисковики вроде нормально индексируют страницы опенета) по поводу нужности сборки, политики по поводу фичреквестов и по добавлению софта.

     

  • 1.6, Аноним (6), 09:46, 15/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Дропнули же 600 серию,чего продолжают обновлять,драйвера?
     
     
  • 2.16, Sunderland93 (ok), 12:42, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Дропнули в новых версиях драйвера. А старые пока продолжают обновлять и адаптировать под свежие ядра
     
     
  • 3.17, gumanzoy (?), 12:49, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    600 серия видеокарт вообще не критично. В 470.x драйверах только десктопные поддерживаются, а ноутбучные давно дропнули. Будут и те и другие с 390.x работать. После перехода на 510.x или более новый драйвер. Не вижу смысла потом специально для них 470.x держать.
     
     
  • 4.18, Аноним (18), 13:02, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    Там вулкан есть, полтора инвалида с кеплером смотрят неодобрительно. Сейчас не лучшее время приобретать новые карты.
     
     
  • 5.20, gumanzoy (?), 13:19, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Я имею в виду для данной сборки. А вулкан и в 390.x есть.
    Я не нашел никаких нативных vulkan 3D тестов типа FurMark или Unigine.
    Поддержка vulkan и даже vulkan-rtx в сборке есть. Есть live/modules/mesa-vulkan-drivers-21.3.5.squashfs (даже обновил его в этой версии, был 20.3.5). Но пока софтом из сборки никак не используется.
    Разве что vkcube можно покрутить, но он бесполезен.
    Запускал https://github.com/NVIDIA/Q2RTX с флешки. Но это баловство. Слишком высокие требования и список карт маленький.
    А еще есть Vulkan Raytracing Demo https://www.geeks3d.com/dl/show/50111 с ним те же проблемы. Запускать не пробовал.
     

  • 1.21, Неосилятор (?), 14:24, 15/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Записал на флешку, вечером поковыряю своё железо, может даже получится выстрадать конфиг звука по HDMI для голой альсы. С пульсой работает, а с чистой альсой не желает, а ведь должно по идее.
     
  • 1.22, gumanzoy (?), 14:34, 15/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > Записал на флешку, вечером поковыряю своё железо, может даже получится выстрадать конфиг звука по HDMI для голой альсы. С пульсой работает, а с чистой альсой не желает, а ведь должно по идее.

    Для облегчения настройки есть приложение Sound Card Selector
    https://a.radikal.ru/a24/2109/78/aac11d621a53.png
    Чтобы в Chromium работало нужно сохранять .asoundrc в /home/puppy

    Не совсем понятно зачем нужен звук в HDMI в контексте назначения данной сборки. Я обычно на ноутбуках проверяю
    speaker-test -c 2 -t wav
    0 - Front Left
    1 - Front Right

    И все, больше звук не нужен.

     
     
  • 2.26, Неосилятор (?), 15:21, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Не совсем понятно зачем нужен звук в HDMI в контексте назначения данной сборки.

    Я поясню. Хочу попробовать Void+IceWM+Alsa(only) и выводить звук по HDMI на монитор. А сборку использовать в качестве генерации конфига для аудио по HDMI с альсой. Слишком долго объяснять те потуги, что мной предпринимались для того, чтоб монитор зазвучал с чистой альсой.

     

  • 1.28, Аноним (28), 15:27, 15/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    А у меня почему-то под линуксами совершенно не пашет card reader, чего куда копать, не знаю, я ламос, подскажите пожалуйста, кто может?!
     
     
  • 2.34, Аноним (34), 19:34, 15/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    lsusb может lspci
    И гугли ID добовляя слово Linux. Вероятно найдешь.
     

  • 1.36, Аноним (36), 02:20, 16/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Скажи пожалуйста. А твоя сборка поддерживает связку pxe+uefi+secureboot?
     
     
  • 2.37, gumanzoy (?), 05:49, 16/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    > pxe+uefi

    да

    > secureboot

    ни в каком виде - нет.
    И не планируется поддержка.

     
  • 2.45, InuYasha (??), 10:39, 17/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    А он точно нужен?
    https://github.com/pbatard/rufus/wiki/FAQ#Why_do_I_need_to_disable_Secure_Boot
     
     
  • 3.48, gumanzoy (?), 15:06, 17/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    На самом деле иметь поддержку Secure Boot было бы не плохо. Но только для экономии времени, чтоб не нужно было перед загрузкой сборки на каждой железяке лазить в BIOS и его отключать.
    Но реализовывать поддержку Secure Boot с технической стороны, ну его нафиг. Не стоит того.
     

  • 1.40, Аноним (40), 21:29, 16/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Проходим мимо, хрень какая-то. Уже давно существуют готовые сборки для всего этого с куда большим количеством инструментов, и даже автоматизации проверки на любой вкус и цвет, без баянов и плясок. Сам про себя не напишешь никто не напишет, да? Но все равно желаю удачи тебе.
     
     
  • 2.41, gumanzoy (?), 22:02, 16/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Уже давно существуют готовые сборки для всего этого с куда большим количеством инструментов, и даже автоматизации проверки на любой вкус и цвет

    Огласите список пожалуйста. Мне реально интересно. Еслиб нашел подходящее под мои задачи с возможностью кастомизации то не стал бы тратить время и силы на свою сборку.

    Но мне кажется что ваше сообщение не более чем брехня.

     
     
  • 3.42, Аноним (40), 22:27, 16/02/2022 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Это точно, сообщение брехня, не разу не существует  stresslinux, stress-ng, Inquisitor и phoronix tests liveCDs. Да и запустить любой другой дист с флешки и поставить на него пакеты это должно быть невозможное.  Куда нам до doggy style Linux.
     
     
  • 4.43, gumanzoy (?), 22:44, 16/02/2022 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну вы серьезно ???? Ок попробуем натянуть сову на глобус.

    > stresslinux

    https://www.stresslinux.org/sl/downloads
    оно ?
    stresslinux_64bit_11.4.x86_64-0.7.106.oem.tar.bz2 07/31/11 12:06:59 (11 лет ago)

    > stress-ng

    Это что имеется в виду ? Утилита ? Мы про сборки разговариваем.
    https://packages.debian.org/bullseye/stress-ng

    > Inquisitor

    Сайт у этого уже умер, да ?
    https://archiveos.org/inquisitor/
    Это оно ? The last version | Released: 3.1beta2 | October 20, 2009

    > phoronix tests liveCDs

    Когда последний релиз был у них ? Я нашел только
    PTS Desktop Live 2010.1: Phoronix Test Suite 2.4.1 in a Live CD

    И как я буду ЭТИМ пытаться смотреть например smart NVMe SSD ?
    Или проверить работу тачпада и RTX 3050 Ti в Asus FX516PE ?

    > Да и запустить любой другой дист с флешки и поставить на него пакеты это должно быть невозможное.

    Про это уже ответил. Попробуйте поставить nvidia-driver
    https://www.opennet.ru/openforum/vsluhforumID3/126779.html#5

     

  • 1.46, InuYasha (??), 12:31, 17/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Утилиты для работы с БД, например https://github.com/artkar0/qpxtool добавьте, пжст
     
     
  • 2.47, gumanzoy (?), 14:37, 17/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    > Утилиты для работы с БД, например https://github.com/artkar0/qpxtool добавьте, пжст

    Охохо. Блюрей диски приводы не помню когда последний видел.
    Есть же https://packages.debian.org/bullseye/qpxtool
    Вот как раз для вас инструкция AptToSfs https://www.opennet.ru/openforum/vsluhforumID3/126779.html#30

     
     
  • 3.49, InuYasha (??), 11:11, 18/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    > Охохо. Блюрей диски приводы не помню когда последний видел.

    Видишь - какая память плохая. Нужны носители! Не ленты же покупать для бэкапов-то?

    > Есть же https://packages.debian.org/bullseye/qpxtool

    Я не уверен, что это именно та версия, что поддерживает BDXL.

    > Вот как раз для вас инструкция AptToSfs https://www.opennet.ru/openforum/vsluhforumID3/126779.html#30

    Ну, всё ясно. Ещё винтернет подключать, пакеты качать, ага. Если б я хотел каждый раз этим страдать, я бы не писал автору в каментах, верно?

     
     
  • 4.50, gumanzoy (?), 12:35, 18/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    > Ну, всё ясно. Ещё винтернет подключать, пакеты качать, ага. Если б я хотел каждый раз этим страдать, я бы не писал автору в каментах, верно?

    Блин ну какой каждый раз ? 1 раз делаете себе этот ваш толстый qpxtool с qt5 и BDXL и все. Автоматом пакуется в .squashfs модуль сохраняете его на флешку в live/modules и еще куда нибудь потому что второй и никакой больше раз делать этого не нужно будет. Дальше при загрузке ваш модуль будет автоматом монтироваться.

    Невозможно сделать сборку где будут все хотелки. Потому что многие взаимоисключающие. И потому что будет весить как грузовой ЖД состав.
    Я для чего по вашему делал на базе Puppy/Dog ? Каждый себе нужное ПО в модули может сделать. А сборка при этом шустро copy2ram'ится даже если всего 1Gb оперативки (но рекомендую все таки от 2Gb тогда точно проверено хватает для ютуба в хроме)

     
     
  • 5.51, InuYasha (??), 17:13, 18/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    > Блин ну какой каждый раз ?

    А сборку обновлять не планируется что-ли?

    > этот ваш толстый qpxtool

    В общем, я перечитал, и понял, что это очередная GTK-сборка. И - да, я тоже предпочитаю всё на одном тулките именно ради экономии ресурсов. Ну, пофиг - тогда WinPE и hiren's boot CD :)

     
     
  • 6.52, gumanzoy (?), 19:13, 18/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    > > Блин ну какой каждый раз ?
    > А сборку обновлять не планируется что-ли?

    А вы толстый BDXL тролль или нет ? Модуль будет работать поле обновления сборки. Пакетная база от Debian 11 не меняется. Меняются ядра, драйвера nvidia, libdrm, mesa.
    Вообще у меня модули с gputest, hddsuperclone и dmde и в Slax 9 и затем в самосборном Slax 10 и в текущей сборке продолжали работать.

    Так что или делаете модуль и отписываетесь мол "спасибо, понял, это то что мне было всегда нужно!"
    Или вы тролль.

     
  • 6.53, gumanzoy (?), 19:21, 18/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    Да и changelog.txt откройте.

    Там все обновления указаны. Модуль live/modules/dmde.3.8.0.790.squashfs
    Не обновлялся. Он с самой первой версии с мая 2021. Проверьте. работает.
    Смонтируйте, посмотрите папки внутри от мая 2020 года. Походу он у меня еще в Slax 10 работал.

     
     
  • 7.54, gumanzoy (?), 19:28, 18/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    live/modules/gputest.0.7.0.squashfs
    live/optional/tigervnc-scraping-server.squashfs
    live/optional/unigine-heaven4.0.squashfs

    Аналогично все от мая 2021. С первой версии не обновлялись, работают.

     

  • 1.55, 45b5ea4 (ok), 11:29, 21/02/2022 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Я так понял, автор участвует в разработке?
    Но почему не увидел его никнэйм в "About" на сайте.
    В любом случае, не стоит тратить время на споры в интернете с различными "икспэрдами" с их бессмысленными претензиями.
    Просто делай то, что нравится.

    А так мне давно хочется PuppyLinux с нормальным терминалом. То есть с командами из Debian/Ubuntu, а не непонятными (для меня) и нигде больше не встречающимися командами PuppyLinux и его настройками.

     
     
  • 2.56, gumanzoy (?), 14:01, 21/02/2022 [^] [^^] [^^^] [ответить]  
  • +/
    > Я так понял, автор участвует в разработке?
    > Но почему не увидел его никнэйм в "About" на сайте.

    Несколько моих патчей приняты в проект DogLinux. А то что в "About" нет, мне как то без разницы. Требовать указать не буду.

    https://forum.puppylinux.com/viewtopic.php?p=24832#p24832
    https://forum.puppylinux.com/viewtopic.php?p=24907#p24907

    А эта новость именно про мою сборку. Подробно про отличия от оригинального DogLinux здесь:
    https://forum.puppyrus.org/index.php?topic=23789.0

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    PostgresPro
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2022 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру